
.loading43 {
  width: 140px;
  height: 4px;
  border-radius: 2px;
  background-color: rgba(0,0,0,0.2);
  position: relative;
  overflow: hidden; /* 避免伪元素溢出 */
}
.loading43:after {
  content: '';
  height: 4px;
  border-radius: 2px;
  background-color: #2aa738;
  position: absolute;
  animation: eff43 2.4s ease-in-out infinite;
}
@keyframes eff43 {
  0% { width: 0; transform: translateX(0); }
  50% { width: 100%; transform: translateX(50%); }
  100% { width: 0; transform: translateX(100%); }
}

.container {
  position: relative;
  width: 400px;
  height: 200px;
  margin: 50px;
  border-radius: 30px;
  overflow: hidden;
  padding: 1px;
}
.moving-element {
  position: absolute;
  top: 0;
  left: 40px;
  width: 80px;
  height: 80px;
  background-image: radial-gradient(#cbacf9 40%, transparent 80%);
  border-radius: 40px;
  animation: moveAround 8s linear infinite;
  transform: translate(-40px, -40px);
  will-change: transform; /* 硬件加速 */
}
@keyframes moveAround {
  0% { left: 40px; top: 0px; }
  28.93% { left: 360px; top: 0px; }
  33.99% { left: 400px; top: 40px; }
  44.82% { left: 400px; top: 160px; }
  49.88% { left: 360px; top: 200px; }
  78.81% { left: 40px; top: 200px; }
  83.87% { left: 0px; top: 160px; }
  94.70% { left: 0px; top: 40px; }
  100% { left: 40px; top: 0px; }
}
